$(document).ready(function () {

    $('#nome').focus();

    $("#btnSalvar").click(function () {

        if ($('#nome').val() == '') {

            alert('O campo nome é obrigatório');
            $('#nome').focus();
            return false;
        }

        if ($('#cnpj').val() == '') {

            alert('O campo cnpj é obrigatório');
            $('#cnpj').focus();
            return false;
        }

        if ($('#cep').val() == '') {

            alert('O campo CEP é obrigatório');
            $('#cep').focus();
            return false;
        }

        if ($('#Estado').val() == '') {

            alert('Você deve selecionar um estado');
            $('#Estado').focus();
            return false;
        }

        if ($('#cidades').val() == '') {

            alert('Você deve selecionar uma cidade');
            $('#cidades').focus();
            return false;
        }

        if ($('#endereco').val() == '') {

            alert('O campo endereço é obrigatório');
            $('#endereco').focus();
            return false;
        }

        if ($('#numero').val() == '') {

            alert('O campo número é obrigatório');
            $('#numero').focus();
            return false;
        }

        if ($('#banco').val() == '') {

            alert('O campo banco é obrigatório');
            $('#banco').focus();
            return false;
        }

        if ($('#agencia').val() == '') {

            alert('O campo agência é obrigatório');
            $('#agencia').focus();
            return false;
        }

        if ($('#contacorrente').val() == '') {

            alert('O campo conta corrente é obrigatório');
            $('#contacorrente').focus();
            return false;
        }

        //validando o e-mail
        var emailRegex = new RegExp(/^([\w\.\-]+)@([\w\-]+)((\.(\w){2,3})+)$/i);
        var valid = emailRegex.test($('#email').val());
        if (!valid) {
            alert('O campo E-mail está incorreto');
            $('#email').focus();
            return false;
        }

        $('#hdnAction').val() = 'save';

    });
});